# Interface FeatureSetEvents

Events emitted by the data/FeatureSet!FeatureSet class.

interface FeatureSetEvents {
change: ChangeEvent<Feature, FeatureSet>;
dehydrated-features-added: Feature[];
feature-hydration-complete: Feature[];
}

#####
Index

### Properties

change
dehydrated-features-added
feature-hydration-complete

##
Properties

### change

change: ChangeEvent<Feature, FeatureSet>

Emitted when the features in the set have changed. The event contains arrays of added, removed, and moved features, as well as a reference to the set itself.

### dehydrated-features-added

dehydrated-features-added: Feature[]

Emitted when one or more dehydrated features are added to the set. This can occur when deserializing a feature set from a project, or when features with a source are added to the set without geometry.

### feature-hydration-complete

feature-hydration-complete: Feature[]

Emitted after one or more dehydrated features have been hydrated.